package com.fp.armas.rules.query.documentos;

import java.sql.Date;
import java.util.Calendar;
import java.util.List;

import com.fp.dto.query.QueryRequest;
import com.fp.dto.rules.QueryRule;
import com.fp.sessionbeans.helper.Sequence;
import com.fp.persistence.commondb.PersistenceHelper;
import com.fp.persistence.parmas.soli.TarmSolicitudDocumento;

public class DocumentoQuery extends QueryRule{
	
	private static final long serialVersionUID = 1L;
	
	@Override
	public QueryRequest process(QueryRequest pQueryRequest) throws Exception {
		try {
	    	//Obteniendo los documentos que no han expirado
	        java.util.Date fechaActual=Calendar.getInstance().getTime();
	        Calendar c=Calendar.getInstance();
	        c.setTime(fechaActual);
	        Date sFechaActual=new Date(c.getTimeInMillis());
	        
	        List<TarmSolicitudDocumento> documentos=PersistenceHelper.getEntityManager().createQuery("select d from TarmSolicitudDocumento d")
	        		/*.setParameter("fechaExpiracion", sFechaActual)*/.getResultList();
	        
	        pQueryRequest.put("documentos", documentos);
			
		} catch (Exception e) {
			throw e;
		}
        
		return pQueryRequest;
	}	


}
